关闭

qvfb 安装使用

标签: pathlibrarycentosqtcommand编译器
2224人阅读 评论(1) 收藏 举报

一、qt-x11-opensource-src-4.5.3安装
1)设置交叉编译环境 
# vim /root/.bashrc
  在末尾加入
   export PATH=$PATH:/usr/local/arm/3.4.1/bin(交叉编译工具所在目录,该路径根据不同情况而变,本课题采用华恒板带交叉编译器)
  保存退出;
  运行 source /root/.bashrc
 设置完成,可通过在终端键入arm-linux-,键入两次Tab键,看是否有相似的结果出现,若有,则证明设置成功;
2)将qt-x11-opensource-src-4.5.3.tar.gz压缩包移到/usr/local/目录下,(直接在mydir共享目录中解压安装,一般不成功)解压 tar tar zxvf qt-x11-opensource-src-4.5.3.tar.gz
3)进入解压后的qt目录,运行命令  ./configure -qvfb
4)运行命令  make
5)运行make install
6)解决qt现版本与旧版本冲突问题
打开/etc/profile文件,在该文件的末尾加上以下语句:
export PATH=/usr/local/Trolltech/Qt-4.3.4/bin:$PATH
export QTDIR=/usr/local/Trolltech/Qt-4.3.4

export MANPATH=$QTDIR/man:$MANPATH
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
保存后重启。
运行qmake -v,显示版本4.3.4,运行designer,即启动Qt4的设计界面。
(安装目录 /usr/local/Trolltech/Qt-4.5.3)
7)编译qvfb (在安装qt-x11,运行./configure时,必须添加-qvfb参数)
# cd qt-x11-opensource-src-4.5.3/tools/qvfb/
# make
编译好的命令会在/qt-x11-opensource-src-4.5.3/bin目录下;

为了方便调试,可以将qvfb可执行文件复制到/usr/local/Trolltech/Qtx86-4.5.3/bin/中;

如果出现如”cannot find -1Xtst””-1Xtst not command”错误则需要先安装一下libxtst-dev

Centos 中可以使用命令yum search libxtst-dev 在安装盘中查找

使用yum install 命令安装相关的软件。

 

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:740568次
    • 积分:7500
    • 等级:
    • 排名:第2885名
    • 原创:54篇
    • 转载:272篇
    • 译文:0篇
    • 评论:43条
    最新评论